enable arm64 dynarec
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48ram_fixed="no"
49drc_cache_base="no"
00a212aa 50have_armv5=""
4132e8ca 51have_armv6=""
52have_armv7=""
53have_arm_neon=""
54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
943a507a 62enable_icache_emu="yes"
5b9aa749 63CFLAGS_GLES=""
64LDLIBS_GLES=""
4132e8ca 65# these are for known platforms
66optimize_cortexa8="no"
67optimize_arm926ej="no"
68
69# hardcoded stuff
70CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 71CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 72AS="${AS-${CROSS_COMPILE}as}"
73AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 74MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 75config_mak="config.mak"
76
07c13dfd 77fail()
78{
79 echo "$@"
80 exit 1
81}
82
4132e8ca 83# call during arg parsing, so that cmd line can override platform defaults
84set_platform()
85{
86 platform=$1
87 case "$platform" in
88 generic)
89 ;;
90 pandora)
07c13dfd 91 sound_drivers="oss alsa"
4132e8ca 92 ram_fixed="yes"
93 drc_cache_base="yes"
94 optimize_cortexa8="yes"
95 have_arm_neon="yes"
955f9af0 96 need_xlib="yes"
943a507a 97 enable_icache_emu="no"
4132e8ca 98 ;;
99 maemo)
100 ram_fixed="yes"
101 drc_cache_base="yes"
102 optimize_cortexa8="yes"
103 have_arm_neon="yes"
943a507a 104 enable_icache_emu="no"
4132e8ca 105 ;;
106 caanoo)
07c13dfd 107 sound_drivers="oss"
4132e8ca 108 ram_fixed="yes"
109 drc_cache_base="yes"
110 optimize_arm926ej="yes"
cc56203b 111 need_warm="yes"
943a507a 112 enable_icache_emu="no"
4132e8ca 113 ;;
38c2028e 114 libretro)
07c13dfd 115 sound_drivers="libretro"
cc56203b 116 need_libpicofe="no"
38c2028e 117 ;;
4132e8ca 118 *)
07c13dfd 119 fail "unsupported platform: $platform"
4132e8ca 120 ;;
121 esac
122}
123
124for opt do
125 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
126 case "$opt" in
127 --help|-h) show_help="yes"
128 ;;
129 --platform=*) set_platform "$optarg"
130 ;;
61bc6d40 131 --gpu=*) builtin_gpu="$optarg"
132 ;;
07c13dfd 133 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 134 ;;
135 --enable-neon) have_arm_neon="yes"
136 ;;
137 --disable-neon) have_arm_neon="no"
138 ;;
139 --disable-dynarec) enable_dynarec="no"
140 ;;
943a507a 141 --disable-icache-emu) enable_icache_emu="no"
142 ;;
143 --enable-icache-emu) enable_icache_emu="yes"
144 ;;
4132e8ca 145 *) echo "ERROR: unknown option $opt"; show_help="yes"
146 ;;
147 esac
148done
149
150if [ "$show_help" = "yes" ]; then
151 echo "options:"
152 echo " --help print this message"
153 echo " --platform=NAME target platform [$platform]"
154 echo " available: $platform_list"
61bc6d40 155 echo " --gpu=NAME builtin gpu plugin [guessed]"
156 echo " available: $builtin_gpu_list"
07c13dfd 157 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 158 echo " available: $sound_driver_list"
159 echo " --enable-neon"
160 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
161 echo " --disable-dynarec disable dynamic recompiler"
162 echo " (dynarec is only available and enabled on ARM)"
943a507a 163 echo " --disable-icache-emu Disables the instruction cache emulation"
4132e8ca 164 echo "influential environment variables:"
ac6575cd 165 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 166 exit 1
167fi
168
07c13dfd 169# validate selections
61bc6d40 170if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 171 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
172 fail "unsupported builtin gpu plugin: $builtin_gpu"
173 fi
61bc6d40 174fi
175
07c13dfd 176if [ "x$sound_drivers" != "x" ]; then
177 for d in $sound_drivers; do
178 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
179 fail "unsupported sound driver: $sound_driver"
180 fi
181 done
182fi
4132e8ca 183
cc56203b 184if [ "$need_libpicofe" = "yes" ]; then
185 if ! test -f "frontend/libpicofe/README"; then
186 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
187 fi
188fi
189
190if [ "$need_warm" = "yes" ]; then
191 if ! test -f "frontend/warm/README"; then
192 fail "wARM is missing, please run 'git submodule init && git submodule update'"
193 fi
194fi
195
00a212aa 196# basic compiler test
197cat > $TMPC <<EOF
198#include <zlib.h>
199int main(void) { return 0; }
200EOF
201if ! compile_binary; then
0dc1b4a9 202 fail "compiler test failed, please check config.log"
00a212aa 203fi
204
4132e8ca 205if [ -z "$ARCH" ]; then
0dc1b4a9 206 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 207fi
208
0dc1b4a9 209case "$ARCH" in
210arm*)
211 # ARM stuff
212 ARCH="arm"
213
4132e8ca 214 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 215 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
216 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
217 fi
218 if [ "$optimize_arm926ej" = "yes" ]; then
219 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
220 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
221 fi
222
223 if [ "x$have_arm_neon" = "x" ]; then
224 # detect NEON from user-supplied cflags to enable asm code
225 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
226 fi
4132e8ca 227 if [ "x$have_armv7" = "x" ]; then
00a212aa 228 if check_define HAVE_ARMV7; then
4132e8ca 229 have_armv7="yes"
00a212aa 230 have_armv6="yes"
231 have_armv5="yes"
4132e8ca 232 fi
233 fi
00a212aa 234 if [ "x$have_armv6" = "x" ]; then
235 if check_define HAVE_ARMV6; then
236 have_armv6="yes"
237 have_armv5="yes"
238 fi
239 fi
240 if [ "x$have_armv5" = "x" ]; then
241 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
242 fi
4132e8ca 243
61bc6d40 244 if [ "x$builtin_gpu" = "x" ]; then
245 if [ "$have_arm_neon" = "yes" ]; then
246 builtin_gpu="neon"
247 elif [ "$have_armv7" != "yes" ]; then
248 # pre-ARMv7 hardware is usually not fast enough for peops
249 builtin_gpu="unai"
250 else
251 builtin_gpu="peops"
252 fi
253 fi
254
e795af9e 255 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 256 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 257 fpu="neon"
4132e8ca 258 elif [ "$have_armv6" = "yes" ]; then
40cf6975 259 fpu="vfp"
4132e8ca 260 fi
40cf6975 261 if [ "x$fpu" != "x" ]; then
262 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
263 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
264 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
265 if [ "$floatabi_set_by_gcc" != "yes" ]; then
266 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
267 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
268 fi
4132e8ca 269 fi
270
9f704290 271 # must disable thumb as recompiler can't handle it
96751f36 272 if check_define __thumb__; then
9f704290 273 CFLAGS="$CFLAGS -marm"
96751f36 274 fi
00a212aa 275
276 # warn about common mistakes
277 if [ "$have_armv5" != "yes" ]; then
278 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
279 echo "Warning: compiling for ARMv4, is that really what you want?"
280 echo "You probably should specify -mcpu= or -march= like this:"
281 echo " CFLAGS=-march=armv6 ./configure ..."
282 fi
283 fi
284 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
285 echo "Warning: compiling for NEON, but not ARMv7?"
286 echo "You probably want to specify -mcpu= or -march= like this:"
287 echo " CFLAGS=-march=armv7-a ./configure ..."
288 fi
0dc1b4a9 289 ;;
55a2d0dc 290aarch64)
291 ;;
0dc1b4a9 292*)
4132e8ca 293 # dynarec only available on ARM
294 enable_dynarec="no"
0dc1b4a9 295 ;;
296esac
4132e8ca 297
61bc6d40 298if [ "x$builtin_gpu" = "x" ]; then
299 builtin_gpu="peops"
300fi
301
4132e8ca 302# supposedly we can avoid -fPIC on armv5 for slightly better performace?
303if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
304 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
305fi
306
307if [ "$ram_fixed" = "yes" ]; then
308 CFLAGS="$CFLAGS -DRAM_FIXED"
309fi
310
38c2028e 311case "$platform" in
312generic)
f89fa2d9 313 need_sdl="yes"
38c2028e 314 ;;
315maemo)
7010034e 316 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 317 ;;
318libretro)
319 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 320 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 321 ;;
322esac
4132e8ca 323
07c13dfd 324# header/library presence tests
325check_zlib()
326{
327 cat > $TMPC <<EOF
328 #include <zlib.h>
791f6e3e 329 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 330EOF
331 compile_binary
332}
333
07c13dfd 334check_libpng()
335{
336 cat > $TMPC <<EOF
337 #include <png.h>
338 void main() { png_init_io(0, 0); }
339EOF
340 compile_binary
341}
342
343check_oss()
344{
345 cat > $TMPC <<EOF
346 #include <sys/soundcard.h>
347 #include <sys/ioctl.h>
348 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
349EOF
350 compile_binary
351}
352
353check_alsa()
354{
355 cat > $TMPC <<EOF
356 #include <alsa/asoundlib.h>
357 void main() { snd_pcm_open(0, 0, 0, 0); }
358EOF
359 compile_binary "$@"
360}
361
b68bf5c2 362check_pulseaudio()
363{
364 cat > $TMPC <<EOF
365 #include <pulse/pulseaudio.h>
366 void main() { pa_threaded_mainloop_new(); }
367EOF
368 compile_binary "$@"
369}
370
07c13dfd 371check_sdl()
372{
373 cat > $TMPC <<EOF
374 #include <SDL.h>
375 void main() { SDL_OpenAudio(0, 0); }
376EOF
377 compile_binary "$@"
378}
379
955f9af0 380check_xlib_headers()
381{
382 cat > $TMPC <<EOF
383 #include <X11/Xlib.h>
384 void *f() { return XOpenDisplay(0); }
385EOF
386 compile_object "$@"
387}
388
5514a050 389# see if we have c64_tools for TI C64x DSP
390check_c64_tools()
391{
392 cat > $TMPC <<EOF
393 #include <inc_libc64_mini.h>
394 int f() { return dsp_open(); }
395EOF
396 compile_object "$@"
397}
398
f89fa2d9 399MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 400check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 401
f89fa2d9 402MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 403check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 404
405# find what audio support we can compile
406if [ "x$sound_drivers" = "x" ]; then
407 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 408 if check_alsa -lasound; then
409 sound_drivers="$sound_drivers alsa"
410 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
411 fi
b68bf5c2 412 if check_pulseaudio -lpulse; then
413 sound_drivers="$sound_drivers pulseaudio"
414 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
415 fi
9f704290 416 if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then
f89fa2d9 417 sound_drivers="$sound_drivers sdl"
418 need_sdl="yes"
419 fi
420else
421 if echo $sound_drivers | grep -q "\<oss\>"; then
422 check_oss || fail "oss support is missing"
423 fi
424 if echo $sound_drivers | grep -q "\<alsa\>"; then
425 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
426 check_alsa || fail "please install libasound2-dev"
427 fi
b68bf5c2 428 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
429 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
430 check_pulseaudio || fail "pulseaudio support is missing"
431 fi
07c13dfd 432fi
433
9f704290 434if [ "$need_sdl" = "yes" ]; then
435 which sdl-config > /dev/null || \
436 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
f89fa2d9 437 CFLAGS="$CFLAGS `sdl-config --cflags`"
438 MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS"
9f704290 439 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 440fi
441
4132e8ca 442# check for tslib (only headers needed)
443if [ "x$have_tslib" = "x" ]; then
444 cat > $TMPC <<EOF
445 #include <tslib.h>
446 void test(struct ts_sample sample) {}
447EOF
448 if compile_object; then
449 have_tslib="yes"
450 else
451 have_tslib="no"
452 fi
453fi
454
5b9aa749 455# check for VideoCore stuff for Raspberry Pi
ad6150e0 456if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 457 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 458 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 459 if [ -f /opt/vc/lib/libbcm_host.so ]; then
460 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
461 fi
955f9af0 462 need_xlib="yes"
ad6150e0 463 VIDEOCORE="yes"
5b9aa749 464fi
465
dd4d5a35 466# check for GLES headers
467cat > $TMPC <<EOF
468#include <GLES/gl.h>
dd4d5a35 469#include <EGL/egl.h>
5b9aa749 470int main(void) {
471 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 472}
473EOF
ad6150e0
CG
474if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
475 have_gles="yes"
476 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
477elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 478 have_gles="yes"
479 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
480elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
481 have_gles="yes"
482 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 483fi
484
5514a050 485if check_c64_tools; then
486 have_c64x_dsp="yes"
487fi
488
5b9aa749 489if [ "$have_gles" = "yes" ]; then
490 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
491fi
61bc6d40 492if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
493 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
494fi
495
955f9af0 496# check for xlib (only headers needed)
497if [ "x$need_xlib" = "xyes" ]; then
498 check_xlib_headers || fail "please install libx11-dev"
499fi
500
cc376814 501sizeof_long=`check_define_val __SIZEOF_LONG__`
502if [ "x$sizeof_long" = "x4" ]; then
503 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
504fi
505
943a507a 506if [ "$enable_icache_emu" = "yes" ]; then
507 CFLAGS="$CFLAGS -DICACHE_EMULATION"
508fi
509
9f704290 510cat > $TMPC <<EOF
511void test(void *f, void *d) { fread(d, 1, 1, f); }
512EOF
513if compile_object -Wno-unused-result; then
514 CFLAGS="$CFLAGS -Wno-unused-result"
515fi
516
dd4d5a35 517# short plugin list for display
518for p in $plugins; do
519 p1=`basename $p`
520 plugins_short="$p1 $plugins_short"
521done
522
4132e8ca 523# set things that failed to autodetect to "no"
524test "x$have_armv6" != "x" || have_armv6="no"
525test "x$have_armv7" != "x" || have_armv7="no"
526test "x$have_arm_neon" != "x" || have_arm_neon="no"
00a212aa 527test "x$have_gles" != "x" || have_gles="no"
5514a050 528test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 529
530echo "architecture $ARCH"
531echo "platform $platform"
61bc6d40 532echo "built-in GPU $builtin_gpu"
07c13dfd 533echo "sound drivers $sound_drivers"
dd4d5a35 534echo "plugins $plugins_short"
4132e8ca 535echo "C compiler $CC"
536echo "C compiler flags $CFLAGS"
07c13dfd 537echo "libraries $MAIN_LDLIBS"
22fa3f2b 538echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 539echo "enable dynarec $enable_dynarec"
5514a050 540if [ "$ARCH" = "arm" ]; then
541 echo "ARMv7 optimizations $have_armv7"
542 echo "enable ARM NEON $have_arm_neon"
543 echo "TI C64x DSP support $have_c64x_dsp"
544fi
4132e8ca 545echo "tslib support $have_tslib"
2c616080 546if [ "$platform" = "generic" ]; then
547 echo "OpenGL ES output $have_gles"
548fi
4132e8ca 549
550echo "# Automatically generated by configure" > $config_mak
551printf "# Configured with:" >> $config_mak
552printf " '%s'" "$0" "$@" >> $config_mak
553echo >> $config_mak
554
555echo "CC = $CC" >> $config_mak
ac6575cd 556echo "CXX = $CXX" >> $config_mak
4132e8ca 557echo "AS = $AS" >> $config_mak
558echo "CFLAGS += $CFLAGS" >> $config_mak
559echo "ASFLAGS += $ASFLAGS" >> $config_mak
560echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 561echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 562echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 563echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
564echo >> $config_mak
565
38c2028e 566if [ "$platform" = "libretro" ]; then
567 echo "TARGET = libretro.so" >> $config_mak
568fi
4132e8ca 569echo "ARCH = $ARCH" >> $config_mak
570echo "PLATFORM = $platform" >> $config_mak
61bc6d40 571echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 572echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 573echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 574if [ "$have_arm_neon" = "yes" ]; then
575 echo "HAVE_NEON = 1" >> $config_mak
576fi
577if [ "$have_tslib" = "yes" ]; then
578 echo "HAVE_TSLIB = 1" >> $config_mak
579fi
5b9aa749 580if [ "$have_gles" = "yes" ]; then
581 echo "HAVE_GLES = 1" >> $config_mak
582 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
583 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
584fi
4132e8ca 585if [ "$enable_dynarec" = "yes" ]; then
586 echo "USE_DYNAREC = 1" >> $config_mak
587fi
588if [ "$drc_cache_base" = "yes" ]; then
2a014d73 589 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 590fi
5514a050 591if [ "$have_c64x_dsp" = "yes" ]; then
592 echo "HAVE_C64_TOOLS = 1" >> $config_mak
593fi
4132e8ca 594
2e6189bc 595# use pandora's skin (for now)
596test -e skin || ln -s frontend/pandora/skin skin
597
4132e8ca 598# vim:shiftwidth=2:expandtab